-- volatile table test

function talk()
  if volatile[1] ~= nil then
    if volatile[1] == 1 then
      current_sprite:say("`3You punched the tree just once...")
    elseif volatile[1] == 0 then
      current_sprite:say("`3You walked past the tree on the previous screen without punching it?!")
    elseif volatile[1] > 10 then
      current_sprite:say("`3You showed that tree who's boss. Well done.")
    else
      current_sprite:say("`3You punched the stationary tree on the previous screen " .. volatile[1] .. " times.")
    end
  else
    current_sprite:say("`3Go to the screen on the left and punch the tree")
  end
end

function hit()
  current_sprite:say("`3Punch the distance-measuring tree, not me")
end
